#!/usr/bin/env python

from SettingsWidgets import *
from gi.repository.Gtk import SizeGroup, SizeGroupMode

class Module:
    def __init__(self, content_box):
        keywords = _("effects, fancy, window")
        sidePage = SidePage(_("Effects"), "cs-desktop-effects1", keywords, content_box, module=self)
        self.sidePage = sidePage
        self.name = "effects"
        self.category = "appear"
        self.comment = _("Control Cinnamon visual effects.")            

     
    def on_module_selected(self):
        if not self.loaded:
            print "Loading Effects module"
            bg = SectionBg()        
            self.sidePage.add_widget(bg)
            vbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL)#VERTICAL->HORIZONTAL
            bg.add(vbox)

            section = Section(_("Enable Effects"))  
            section.add(GSettingsCheckButton(_("Enable desktop effects"), "org.cdos", "desktop-effects", None))
            #section.add_indented(GSettingsCheckButton(_("Enable desktop effects on dialog boxes"), "org.cdos", "desktop-effects-on-dialogs", "org.cdos/desktop-effects"))
            label = Gtk.Label()
            label.set_markup("<i><small>%s</small></i>" % _("Customize"))
            label.get_style_context().add_class("dim-label")
            section.add(label)

            #Enable fade effect on Cinnamon scrollboxes (like the Menu application list)
            #section.add(GSettingsCheckButton(_("Enable fade effect on scrollboxes"), "org.cdos", "enable-vfade", None))

            label = Gtk.Label()
            label.set_markup("<i><small>%s</small></i>" % _("like the Menu application list"))
            label.get_style_context().add_class("dim-label")
            section.add(label)
            vbox.add(section)

            #vbox.add(Gtk.Separator.new(Gtk.Orientation.HORIZONTAL))
